Total Access Docs
Openapi

Get OAuth2 app details

GET
/api/v1/oauth/apps/{id}

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for REST API endpoints (user-facing apps).

Authorization: Bearer <jwt_access_token>

Tokens expire after 15 minutes. Use the refresh token to obtain a new one.

In: header

Path Parameters

id*string

Query Parameters

include_analytics?boolean
include_reviews?boolean

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/oauth/apps/string"
{  "success": true,  "data": {    "id": "string",    "app_name": "string",    "description": "string",    "logo_url": "string",    "homepage_url": "string",    "category": "string",    "client_id": "string",    "redirect_uris": [      "string"    ],    "scopes": [      "string"    ],    "auth_flows": [      "authorization_code"    ],    "is_public": true,    "status": "pending",    "developer_id": 0,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "success": false,  "error": {    "code": "NOT_FOUND",    "message": "Work item not found",    "request_id": "req_abc123",    "documentation_url": "https://dev-developer.totalaccess.co.za/docs/api-reference/errors#not_found"  }}